Name: jdepend
Version: 2.8.2
Release: alt0.M24.1

%def_disable debug

Summary: Java Design Quality Metrics
Group: Development/Java
License: BSD-like
URL: http://www.clarkware.com/software/JDepend.html

Packager: Mikhail Zabaluev <mhz@altlinux.ru>

Source0: http://www.clarkware.com/software/%name-%version.tar.bz2

BuildArch: noarch

BuildPreReq: /proc
BuildPreReq: ant j2se1.4-sun-devel java-common >= 1.2 rpm-build-java

Requires: j2se >= 1.4.2 java-common >= 1.2

%description
JDepend traverses a set of Java class and source file directories and
generates design quality metrics for each Java package. JDepend allows
you to automatically measure the quality of a design in terms of its
extensibility, reusability, and maintainability to effectively manage
and control package dependencies.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc-generated API documentation for JDepend,
a Java Design Quality Metrics tool.

%package demo
Summary: Demos for %name
Group: Development/Java
Requires: %name = %version-%release

%description demo
Demonstrations and samples for JDepend,
a Java Design Quality Metrics tool.

%prep
%setup -q

%build
%__ant \
%if_disabled debug
    -Dbuild.debug=false \
%endif
    jar javadoc

%install

%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir/%name
%__mkdir_p %buildroot%_docdir/%name-%version/{samples,docs}

# jars
%__install -m644 lib/%name.jar %buildroot%_javadir/%name.jar

# javadoc
%__cp -a docs/api/* %buildroot%_javadocdir/%name

# demo
%__cp -r sample/* %buildroot%_docdir/%name-%version/samples

%__cp docs/*.html %buildroot%_docdir/%name-%version/docs
%__cp docs/*.dot %buildroot%_docdir/%name-%version/docs
%__cp docs/*.txt %buildroot%_docdir/%name-%version/docs
%__cp docs/*.xml %buildroot%_docdir/%name-%version/docs
%__cp docs/*.out %buildroot%_docdir/%name-%version/docs
%__cp docs/*.css %buildroot%_docdir/%name-%version/docs
%__cp -r docs/images %buildroot%_docdir/%name-%version/docs

%__cp {README,LICENSE} %buildroot%_docdir/%name-%version

%files
%dir %_docdir/%name-%version
%_docdir/%name-%version/README
%_docdir/%name-%version/LICENSE
%_docdir/%name-%version/docs
%_javadir/*

%files javadoc
%_javadocdir/%name

%files demo
%_docdir/%name-%version/samples

%changelog
* Thu Apr 14 2005 Alexey Borovskoy <alb@altlinux.ru> 2.8.2-alt0.M24.1
- Backport to Master 2.4
- Spec cleanup

* Mon Sep 20 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.8.2-alt1
- Updated to upstream release 2.8.2
- Disabled debug compiler option by default

* Mon Jun 07 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.7-alt1
- New upstream release

* Fri Oct 10 2003 Mikhail Zabaluev <mhz@altlinux.ru> 2.6-alt1
- Ported to Sisyphus from JPackage
